# bcsqrt

(PHP 4, PHP 5, PHP 7)

bcsqrt — Get the square root of an arbitrary precision number

### Description

bcsqrt ( string `$operand` [, int `$scale` = 0 ] ) : string

Return the square root of the `operand`.

### Parameters

`operand`

  The operand, as a string.

`scale`

  This optional parameter is used to set the number of digits after the decimal place in the result. If omitted, it will default to the scale set globally with the bcscale() function, or fallback to 0 if this has not been set.

### Return Values

Returns the square root as a string, or `NULL` if `operand` is negative.

### Examples

Example #1 bcsqrt() example

`<?php
echo bcsqrt('2', 3); // 1.414
?>`

### See Also

- bcpow() - Raise an arbitrary precision number to another